<?php

class bBack_administrateur extends BackModule {

    function bBack_administrateur($formvars = array()) {
        parent::BackModule($formvars);
    }

    function create($formvars = array(), $table = null, $langue = true) {

        if(!empty($formvars['administrateur_password'])) {
            $formvars['administrateur_password'] = \Tools::encryptPassword($formvars['administrateur_password']);
        }

        return parent::create($formvars, $table, $langue);
    }

    function delete($formvars = array()) {
        $sql = "DELETE FROM back_administrateur WHERE administrateur_id = '" . $formvars['back_id'] . "'";
        return $this->sql->query($sql);
    }

    function update($formvars = array(), $table = null, $langue = true)
    {

        if (empty($formvars['administrateur_password'])) {
            unset($formvars['administrateur_password']); // si vide, on l'enlève du array pour pas faire mdp vide en db.
        } else {
            $hasError = false;

            // On regarde si le mdp de confirmation n'est pas vide.
            if (empty($formvars['administrateur_newpassword_conf'])) {
                $hasError = 'Le mot de passe de confirmation ne doit pas être vide.';
            }

            // On regarde si nouveau mdp/confirmation mdp correspondent.
            if (isset($formvars['administrateur_password']) && (isset($formvars['administrateur_newpassword_conf'])) && $formvars['administrateur_password'] != $formvars['administrateur_newpassword_conf']) {
                $hasError = 'Les deux mots de passe ne correspondent pas.';
            }

            if (!$hasError) $formvars['administrateur_password'] = \Tools::encryptPassword($formvars['administrateur_password']);
            else throw new Exception($hasError);
        }

        if (empty($formvars['secteur_id'])) {
            $formvars['secteur_id'] = "NULL";
        }

        return parent::update($formvars, $table, $langue);
    }

    function Form($formvars = array()) {

        if (empty($formvars['id']))
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'un nouvel Utilisateur</a></span>";
        else {
            $sql = "SELECT CONCAT(administrateur_nom,' ',administrateur_prenom,' - #', administrateur_id ,'') as data FROM back_administrateur WHERE administrateur_id = '" . $formvars['id'] . "'";
            $this->sql->query($sql, SQL_ALL, SQL_ASSOC);
            $data = $this->sql->record[0];

            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm', array('id' => $formvars['id'])) . "'>Edition de l'Utilisateur : <strong>" . $data['data'] . "</strong></a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $sql = "SELECT *, '' as administrateur_password";
            $sql.=" FROM back_administrateur";
            $sql.=" WHERE administrateur_id ='" . $formvars['id'] . "'";

            $this->request = $sql;
        }
        //-- SQL
        // Champs du formulaire
        //GROUP
        $form = new BackForm("Informations", "group");
        $this->addForm($form);
        //--GROUP

        $form = new BackForm("Nom", "text", "administrateur_nom");
        $form->addAttr('class', 'required');
        $form->addAttr('size', 20);
        $this->addForm($form);

        $form = new BackForm("Pr&eacute;nom", "text", "administrateur_prenom");
        $form->addAttr('class', 'required');
        $form->addAttr('size', 20);
        $this->addForm($form);

        $form = new BackForm("E-mail (identifiant)", "mail", "administrateur_email");
        $form->addAttr('class', 'required');
        $form->addAttr('size', 50);
        $this->addForm($form);

        if (!empty($formvars['id'])) {
            $form = new BackForm("Nouveau mot de passe", "text", "administrateur_password");
            $form->addAttr('size', 50);
            $this->addForm($form);

            $form = new BackForm("Confirmation mot de passe", "text", "administrateur_newpassword_conf");
            $form->addAttr('size', 50);
            $this->addForm($form);
        }

        $form = new BackForm("Statut", "select", "actif_id");
        $form->addAttr('class', 'required');
        $form->addOptionSQL(array("SELECT actif_id, actif_nom FROM actif ORDER BY actif_nom"));
        $this->addForm($form);

        $form = new BackForm("Groupes", "group");
        $form->addGroupOpts('class', 'back_administrateur_groupe');
        $this->addForm($form);
        //-- Champs du formulaire
        if (!isset($formvars['id']))
            $formvars['id'] = 0;
        return $this->displayForm($formvars['id']);
    }

    function Listing($formvars = array()) {
        // SQL
        $sql = "SELECT a.administrateur_id";
        $sql.=", a.administrateur_id";
        $sql.=", CONCAT(administrateur_nom,' ',administrateur_prenom,'') as nom";
        $sql.=", administrateur_email";
        $sql.=", COUNT(ag.administrateur_groupe_id)";
        $sql.=" FROM (back_administrateur a)";
        $sql.=" LEFT JOIN back_administrateur_groupe ag ON (a.administrateur_id = ag.administrateur_id)";
        $sql.=" WHERE 1";

        $this->request = $sql;
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM PRENOM");
        $this->addLabel($label);

        $label = new BackLabel("IDENTIFIANT", "mail", "E-MAIL");
        $this->addLabel($label);

        $label = new BackLabel("GROUPES", "listselect");
        $label->setVar('option', array("group" => "back_administrateur_groupe"));
        $this->addLabel($label);

        //-- LABELS

        return $this->displayList($formvars['type']);
    }

//--
}