<?php

use Phinx\Migration\AbstractMigration;
use Phinx\Db\Adapter\MysqlAdapter;

class AddTpeReference extends AbstractMigration
{
    public function change()
    {
        $this
            ->table("tpe_reference", ['id' => false, 'primary_key' => ["tpe_reference_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('tpe_reference_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('tpe_reference_date', 'datetime', ['null' => false, 'default' => '0000-00-00 00:00:00', 'after' => 'tpe_reference_id'])
            ->addColumn('commande_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'tpe_reference_date', 'signed' => false])
            ->addColumn('client_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'commande_id', 'signed' => false])
            ->addColumn('paiement_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'client_id', 'signed' => false])
            ->addColumn('tpe_reference_session', 'blob', ['null' => false, 'limit' => MysqlAdapter::BLOB_LONG, 'after' => 'paiement_id'])
            ->addColumn('tpe_reference_session_id', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'tpe_reference_session'])
            ->addColumn('tpe_reference_retour_date', 'datetime', ['null' => false, 'after' => 'tpe_reference_session_id'])
            ->addColumn('tpe_reference_retour_info', 'blob', ['null' => false, 'limit' => MysqlAdapter::BLOB_REGULAR, 'after' => 'tpe_reference_retour_date'])
            ->addForeignKey('commande_id', 'commande', 'commande_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('client_id', 'client', 'client_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('paiement_id', 'paiement', 'paiement_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addIndex(['commande_id'], ['name' => "commande_id", 'unique' => false])
            ->addIndex(['client_id'], ['name' => "client_id", 'unique' => false])
            ->addIndex(['paiement_id'], ['name' => "paiement_id", 'unique' => false])
            ->create();
    }
}
