<?php

namespace Controller;

use Millesimes\GroupePrix;
use Texte;
use Breadcrumb;
use Categorie;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("")
 */
class ProduitAlerteController extends Controller {

    protected $table = "produit";
    /**
     * @Route(
     *      path         = "/produit-alerte/add",
     *      name         = "produit_alerte_add"
     * )
     */
    public function add()
    {
        $errors = array();
        $texte = new Texte();

        $produit_id = filter_var($this->request->get('produit_id'), FILTER_VALIDATE_INT);
        $produit_attribut_id = filter_var($this->request->get('produit_attribut_id'), FILTER_VALIDATE_INT);
        $client_email = filter_var($this->request->get('client_email'), FILTER_VALIDATE_EMAIL);

        if(!$produit_id || !$produit_attribut_id){
            $errors[] = sprintf('%s', $texte->getOneOrCreate('taille_manquante', 'Veuillez renseigner une taille. Merci.'));
        }
        if(!$client_email){
            $errors[] = sprintf('%s %s', 'Email', $texte->getOneOrCreate('error_invalid', 'invalide'));
        }
        $produitAlerte = new \ProduitAlerte();
        $alerte = $produitAlerte->get(array(
            'produit_id' => (int)$produit_id,
            'produit_attribut_id' => (int)$produit_attribut_id,
            'client_email' => $client_email,
        ));
        if($alerte){
            $errors[] = sprintf('%s', $texte->getOneOrCreate('alerte_email_exists', 'Cet adresse mail existe d&eacute;j&agrave; pour ce produit.'));
        }

        if(empty($errors) && !$alerte){
            $alerte = array(
                'produit_id' => (int)$produit_id,
                'produit_attribut_id' => (int)$produit_attribut_id,
                'client_email' => $client_email,
            );

            if($produitAlerte->save($alerte)){
                $output = json_encode(array('valid' =>  $texte->getOneOrCreate('alerte_email_ok', 'Vous serez pr&eacute;venu quand cette taille sera de nouveau disponible')));
            }

        } else {
            $output = json_encode(array('errors' => $errors));
        }

        return $this->response($output);
    }

}