{extends file='layout/layout.tpl'}
{block name='content'}
    <div class="account">
        <div class="container">
            {Breadcrumb::getInstance()->render()}
            {include file="account/top-account.tpl"}

            <div class="account-menu">
                {include file="account/aside.tpl" page="adress_book"}
            </div>

            <div class="account-panel address">
                <h1 class="bottom-grey-border">{txt value="mes adresses"}</h1>

                {if !empty($error)}{include file="form/flash.tpl" class="error" messages=$error}{/if}
                {if !empty($success)}{include file="form/flash.tpl" class="success" messages=$success}{/if}

                <form class="form-horizontal" action="" id="address-book-address-select-form" method="get">
                    <div class="form-group">
                        <label for="address-book-address-select">{txt value="Available adresses"} :</label>
                        <select name="adresse_id" id="address-book-address-select" class="select_mef1 form-control">
                            {if !empty($isNew)}
                                <option value="0" selected>{txt value="Selecter une adresse"}</option>
                            {/if}
                            {foreach from=$tplVars['adresse'] item=adress}
                                {html_options values=$adress.adresse_id selected=$post.adress_id|default:"" output=$adress.adresse_libelle selected=$selectedAdress.adresse_id}
                            {/foreach}
                        </select>
                    </div>
                </form>

                <h3>
                    <a class="pull-right add-address" href="{url page="compte_adresse" nouveau="1"}">{txt value="Ajouter une nouveau adresse"}</a>
                </h3>

                <form class="form-horizontal" action="{if !empty($isNew)}{url page="compte_adresse_create"}{else}{url page="compte_adresse_update"}{/if}" method="post">
                    {if !empty($selectedAdress)}
                        <input type="hidden" name="adresse_id" value="{$selectedAdress.adresse_id}"/>
                    {/if}

                    <div class="form-group">
                        <label for="flibelle">{txt value="Libéllé de l'adresse"}* :</label>
                        <input class="form-control" placeholder="{txt value="Libéllé de l'adresse"}* :" type="text" name="adresse_libelle" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_libelle}{/if}" id="flibelle" />
                    </div>

                    <div class="form-group">
                        <label class="civilite-label">{txt value="Civilité"}* :</label>
                        {foreach from=$tplVars['civilite'] item=c}
                            <div class="radio-inline">
                                <label class="checkLabel" for="civilite_id{$c.civilite_id}" class="lib">
                                    <input type="radio" value="{$c.civilite_id}" name="civilite_id" id="civilite_id{$c.civilite_id}" {if !empty($selectedAdress.civilite_id) && $selectedAdress.civilite_id == $c.civilite_id}checked="checked"{/if}/>
                                {$c.civilite_nom_nom}</label>
                            </div>
                        {/foreach}
                    </div>

                    <div class="form-group">
                        <label for="fnom">{txt value="Nom"}* :</label>
                        <input class="form-control" placeholder="{txt value="Nom"}* :" type="text" name="adresse_nom" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_nom}{/if}" id="fnom" />
                    </div>

                    <div class="form-group">
                        <label for="fprenom">{txt value="Prénom"}* :</label>
                        <input class="form-control" placeholder="{txt value="Prénom"}* :" type="text" name="adresse_prenom" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_prenom}{/if}" id="fprenom" />
                    </div>

                    <div class="form-group">
                        <label for="fsociete">{txt value="Société"} :</label>
                        <input class="form-control" type="text" placeholder="{txt value="Société"} :" name="adresse_societe" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_societe}{/if}" id="fsociete"/>
                    </div>

                    <div class="form-group">
                        <label for="fadresse">{txt value="Adresse"}* :</label>
                        <input class="form-control" type="text" placeholder="{txt value="Adresse"}* :" name="adresse_rue" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_rue}{/if}" id="fadresse" />
                    </div>

                    <div class="form-group">
                        <label for="interphone">{txt value="Digicode ou interphone"} :</label>
                        <input type="text" class="form-control" name="adresse_digicode" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_digicode}{/if}" id="interphone" />
                    </div>

                    <div class="form-group">
                        <label for="batiment">{txt value="N° Bâtiment"} :</label>
                        <input type="text" class="form-control" name="adresse_batiment" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_batiment}{/if}" id="batiment" />
                    </div>

                    <div class="form-group">
                        <label for="etage">{txt value="N° Etage"} :</label>
                        <input type="number" class="form-control" name="adresse_etage" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_etage}{/if}" id="etage" />
                    </div>

                    <div class="form-group">
                        <label for="quartier">{txt value="Quartier"} :</label>
                        <input type="text" class="form-control" name="adresse_quartier" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_quartier}{/if}" id="quartier" />
                    </div>

                    <div class="form-group">
                        <label for="fcode_postal">{txt value="Code postal"}* :</label>
                        <input class="form-control" type="number" placeholder="{txt value="Code postal"}* :" name="adresse_cp" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_cp}{/if}" id="fcode_postal" />
                    </div>

                    <div class="form-group">
                        <label for="fville">{txt value="Ville"}* :</label>
                        <input class="form-control" type="text" placeholder="{txt value="Ville"}* :" name="adresse_ville" value="{if !empty($selectedAdress)}{$selectedAdress.adresse_ville}{/if}" id="fville"/>
                    </div>

                    <div class="form-group">
                        <label for="fpays">{txt value="Pays"}* :</label>
                        <select name="pays_id" id="fpays" class="select_mef1 form-control">
                            {foreach from=$tplVars['pays'] item=p}
                                {html_options values=$p.pays_id selected=$post.pays_id|default:"" output=$p.pays_nom_nom selected=$selectedAdress.pays_id}
                            {/foreach}
                        </select>
                    </div>

                    <div class="form-group">
                        <label for="ftelmobile">{txt value="Numéro de téléphone "}* :</label>
                        <input class="form-control" type="text" name="adresse_telephone" placeholder="{txt value="Numéro de téléphone "}* :" value="{if !empty($selectedAdress.adresse_telephone)}{$selectedAdress.adresse_telephone}{/if}" id="ftelmobile"/>
                    </div>

                    <div class="form-group">
                        <label for="adresse_default">{txt value="Set this address as default address"}</label>
                        <input type="hidden" name="adresse_default" value="0">
                        <input type="checkbox" name="adresse_default" value="1" {if $selectedAdress.adresse_default == 1}checked{/if}>
                    </div>

                    <div class="form-group submit-button">
                        <p>
                            {txt value="* : champs obligatoires"}
                        </p>
                        <input type="submit" value="{txt value="Valider"}" class="btn btn-red"/>
                    </div>
                </form>
            </div>
        </div>
    </div>
{/block}
